Bug 229375 - Kernel oops from kswapd0
Kernel oops from kswapd0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-02-20 12:59 EST by Christopher Beland
Modified: 2008-05-06 15:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-02-20 12:59:09 EST
I have many programs running on my desktop...I remember starting xmms playing,
and suddendly I got this message from the kernel:

Oops: 0000 [#1]
SMP 
CPU:    0
EIP:    0060:[<c0486d16>]    Tainted: P      VLI
EFLAGS: 00010206   (2.6.19-1.2911.fc6 #1)
EIP is at clear_inode+0xe0/0x16b
eax: 00004005   ebx: c0007b04   ecx: c0323d9c   edx: ede86000
esi: c0007c90   edi: 0000002b   ebp: ede86efc   esp: ede86ed0
ds: 007b   es: 007b   ss: 0068
Process kswapd0 (pid: 167, ti=ede86000 task=ede0b250 task.ti=ede86000)
Stack: c04867fc c0323f28 c0007b04 c0007b0c c0487041 e5193b84 00000000 00000080 
       00000080 c048723f 00000080 d551f874 ea17fce4 0000170c ededa440 00000086 
       000000d0 c04604be c045db8a c069b000 0000577f 00170c00 00000000 00170c00 
Call Trace:
 [<c0487041>] dispose_list+0x36/0xb7
 [<c048723f>] shrink_icache_memory+0x17d/0x1a5
 [<c04604be>] shrink_slab+0xd9/0x142
 [<c0460864>] kswapd+0x2c1/0x3ac
 [<c0439878>] kthread+0xc0/0xec
 [<c0404c03>] kernel_thread_helper+0x7/0x10
 =======================
Code: b9 90 63 48 c0 ba 03 00 00 00 89 f0 c7 04 24 02 00 00 00 e8 08 de 19 00 f6
83 94 01 00 00 20 75 2e 8b 83 c0 00 00 00 85 c0 74 24 <8b> 40 24 85 c0 74 1d 8b
50 04 85 d2 74 16 83 bb 44 01 00 00 00 
EIP: [<c0486d16>] clear_inode+0xe0/0x16b SS:ESP 0068:ede86ed0

This is with kernel-2.6.19-1.2911.fc6.

This only happened once.  xmms stoped responding to clicks, and even a kill -9
did not clear the window.  I rebooted my system and ran fsck.  No filesystem
errors were detected.  Upon reboot, everything seems to be operating normally,
at least for the last few hours.

I have not experienced any kernel oopses in many years, but have had several in
the past few weeks.  One kernel-related thing that I did do at about the same
time this started happening was to fix my wireless router.  I had my wireless
card configured with Fedora 4, and when I fixed my router, I set up the wireless
card for the first time with Fedora 6.  In order to do this, I unload the bc43xx
module (which complains about missing microcode), load ndiswrapper, and
configure the wireless card using Windows drivers.  I did not have any kernel
problems with Fedora 4 using ndiswrapper, but now I am wondering if my recent
oopses are related to the wireless modules.  (Though this seems odd since all
the oopses seem filesystem-related.)  Currently I have installed:

kmod-ndiswrapper-1.25-1.2.6.19_1.2911.fc6
ndiswrapper-1.25-1.lvn6
Comment 1 Chuck Ebbert 2007-02-27 16:48:04 EST
ndiswrapper can cause problems like this.

What is the problem with using the native bcm43xx driver?
Comment 2 Christopher Beland 2007-03-02 23:33:17 EST
Hmm, I have also begun to experience not infrequent failures to wake up (the
system wedges hard) after suspend, which seems to be correlated with ndiswrapper
use.  There aren't any log messages produced when this happens, as far as I can
tell.

The reason I'm using ndiswrapper and not the native bcm43xx driver is that the
latter requires some sort of firmware upgrade before it will work.  (See Bug
183273.)  That sounds scary and not necessarily easily reversible.  The
ndiswrapper method was working fine for me under Fedora 4, without these adverse
symptoms, so I decided not to risk changing things.
Comment 3 Christopher Beland 2007-09-04 20:00:04 EDT
Well, for anyone else using ndiswrapper who wants to switch to the native
bcm43xx driver, I managed to successfully do so with the following procedure:

* yum -y install bcm43xx-fwcutter
* From:
   http://linuxwireless.org/en/users/Drivers/b43#devicefirmware
  Download and untar:
   http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2
* Remove any old bcm43xx_* files from /lib/firmware
* According to README.fedora in bcm43xx-fwcutter RPM:
   cd broadcom-wl-4.80.53.0
   bcm43xx-fwcutter -w /lib/firmware  kmod/wl_apsta.o 
* Reboot
* Use NetworkManager (on desktop by default), choose network

I do still occasionally experience kernel oopses, but I'm not sure they're
related, so I report them under separate bugs.
Comment 4 Jon Stanley 2008-01-07 20:49:36 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Christopher Beland 2008-01-23 17:01:37 EST
This might be the same as bug 291329, which I experienced without the evil
influence of a wireless card.
Comment 6 Christopher Beland 2008-01-23 17:10:59 EST
Sorry, I mean bug 428329.  I suspect there might be a general problem when I
suspend/hibernate which results in a variety of kernel crashes.
Comment 7 Bug Zapper 2008-04-04 02:19:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 15:16:00 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.